opennlp-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joern Kottmann <kottm...@gmail.com>
Subject Re: GIS API
Date Thu, 28 May 2015 13:51:17 GMT
Yes, or we can also remove it directly. The package name changed anyway, we
will not be able to support existing code using EventStream with 1.6.0
without breaking it.

Please open a jia for it.

Jörn

On Thu, May 28, 2015 at 3:49 PM, Russ, Daniel (NIH/CIT) [E] <
druss@mail.nih.gov> wrote:

> Sorry, I just saw the interfaces are very different, so there is not easy
> fix.  EventStream still should be deprecated.
> Dan
>
>
> On May 28, 2015, at 9:34 AM, Russ, Daniel (NIH/CIT) [E] wrote:
>
> > Hi,
> >
> >   The interface for opennlp.tools.maxent.GIS is changing between 1.5 and
> 1.6.  This will cause me to have to make many changes in my code that could
> be easily avoided if we change make opennlp.tools.ml.model extend
> ObjectStream<Event>.  Also, Since EventStream is not used by GIS, is there
> any reason why it is not deprecated?  I will put this in JIRA.
> >
> > Thank you
> > Dan
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message